Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024517
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorsometimes2013-08-09 08:582013-08-23 11:32
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP26
StatusclosedFix in branchpiFixed in SCM revision6bd7f29bf615
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024517: [precision] In some cases Total tax is -0,01

DescriptionSometimes Using a price list without including taxes total Tax shows -0.01
Steps To ReproduceConfigure in the backend to apply a tax rate of 0. Also, use a price list which prices are without including taxes.

Create a ticket and:
-Add one product with qty 1.49 and price 4.5
-Add one product with qty 1.14 and price 8,75

Verify that total of the lines is: 6.71 , 9.98

Total tax shows -0.01
TagsNo tags attached.
Attached Filespng file icon screenshot_114.png [^] (63,666 bytes) 2013-08-09 08:58


png file icon Total tax still shows -0.01 when the tax percentage is zero for price list not inclusive of taxes.png [^] (205,892 bytes) 2013-08-23 07:39

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024497 closedmarvintm Wrong rounding in web POS 
related to defect 0024294RMP25 closedmarvintm Wrong rounding in web POS 

-  Notes
(0060552)
hgbot (developer)
2013-08-09 09:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7c0cba998e32ea433eba5435fcc513ee2c307122
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 09 09:24:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c0cba998e32ea433eba5435fcc513ee2c307122 [^]

fixed issue 24517: Total tax is not showing wrong number

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060554)
hgbot (developer)
2013-08-09 14:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: dcb79accae3c8932c63fbe35cf86fa0ab7d89f53
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 09 14:42:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dcb79accae3c8932c63fbe35cf86fa0ab7d89f53 [^]

related to issue 24517: revert previous change

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060556)
hgbot (developer)
2013-08-09 14:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6bd7f29bf6153a71241c69ebf50a66eea245859f
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 09 14:42:33 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6bd7f29bf6153a71241c69ebf50a66eea245859f [^]

fixed issue 24497, fixed issue 24517: Some precision problems has been resolved

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060741)
sureshbabu (reporter)
2013-08-23 07:38

Total tax still shows -0.01 when the tax rate is zeroa and for price list which is not inclusive of taxes
(0060747)
guilleaer (developer)
2013-08-23 11:32

reclosed. Suresh reopened it accidentally

- Issue History
Date Modified Username Field Change
2013-08-09 08:58 guilleaer New Issue
2013-08-09 08:58 guilleaer Assigned To => guilleaer
2013-08-09 08:58 guilleaer File Added: screenshot_114.png
2013-08-09 08:58 guilleaer Triggers an Emergency Pack => No
2013-08-09 08:59 guilleaer Relationship added related to 0024497
2013-08-09 09:00 guilleaer Relationship added related to 0024294
2013-08-09 09:24 hgbot Checkin
2013-08-09 09:24 hgbot Note Added: 0060552
2013-08-09 09:24 hgbot Status new => resolved
2013-08-09 09:24 hgbot Resolution open => fixed
2013-08-09 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c0cba998e32ea433eba5435fcc513ee2c307122 [^]
2013-08-09 14:43 hgbot Checkin
2013-08-09 14:43 hgbot Note Added: 0060554
2013-08-09 14:44 hgbot Checkin
2013-08-09 14:44 hgbot Note Added: 0060556
2013-08-09 14:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7c0cba998e32ea433eba5435fcc513ee2c307122 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6bd7f29bf6153a71241c69ebf50a66eea245859f [^]
2013-08-21 09:55 marvintm Review Assigned To => marvintm
2013-08-21 09:55 marvintm Status resolved => closed
2013-08-21 09:55 marvintm Fixed in Version => RMP26
2013-08-23 07:38 sureshbabu Note Added: 0060741
2013-08-23 07:38 sureshbabu Status closed => new
2013-08-23 07:38 sureshbabu Resolution fixed => open
2013-08-23 07:38 sureshbabu Fixed in Version RMP26 =>
2013-08-23 07:39 sureshbabu File Added: Total tax still shows -0.01 when the tax percentage is zero for price list not inclusive of taxes.png
2013-08-23 11:32 guilleaer Status new => scheduled
2013-08-23 11:32 guilleaer fix_in_branch => pi
2013-08-23 11:32 guilleaer Status scheduled => resolved
2013-08-23 11:32 guilleaer Fixed in Version => RMP26
2013-08-23 11:32 guilleaer Resolution open => fixed
2013-08-23 11:32 guilleaer Note Added: 0060747
2013-08-23 11:32 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker